Bug 923993 - [abrt][a11y] libreoffice-core-3.6.5.2-6.fc18: ScAccessibleDocument::GetVisibleArea_Impl: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt][a11y] libreoffice-core-3.6.5.2-6.fc18: ScAccessibleDocument::GetVisibl...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dcf89aff090eebfb2a654714d05...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-20 21:17 UTC by Matt Heck
Modified: 2013-05-09 10:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Some part of the window geometry query sequence fails (hypothesis). Consequence: Getting the currently visible section of the document fails. Fix: Possibly, react to bogus results from screen/window geometry queries by retrying or substituting bogus, but sane, values. Result: Segmentation violation, presumably due to unexpected null objects representing the visible section of the document (hypothesis).
Clone Of:
Environment:
Last Closed: 2013-05-09 10:03:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (13.67 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: build_ids (9.01 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: cgroup (128 bytes, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: core_backtrace (6.61 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: dso_list (31.52 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: environ (2.81 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-20 21:17 UTC, Matt Heck
no flags Details
File: maps (121.70 KB, text/plain)
2013-03-20 21:18 UTC, Matt Heck
no flags Details
File: open_fds (3.35 KB, text/plain)
2013-03-20 21:18 UTC, Matt Heck
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2013-03-20 21:18 UTC, Matt Heck
no flags Details
File: smolt_data (2.95 KB, text/plain)
2013-03-20 21:18 UTC, Matt Heck
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-03-20 21:18 UTC, Matt Heck
no flags Details

Description Matt Heck 2013-03-20 21:17:41 UTC
Version-Release number of selected component:
libreoffice-core-3.6.5.2-6.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc /home/mheck/x/Landel/WiFi-adapter/comm-timeline.ods --splash-pipe=6
crash_function: ScAccessibleDocument::GetVisibleArea_Impl
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.3-201.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 ScAccessibleDocument::GetVisibleArea_Impl at /usr/src/debug/libreoffice-3.6.5.2/sc/source/ui/Accessibility/AccessibleDocument.cxx:2085

Comment 1 Matt Heck 2013-03-20 21:17:44 UTC
Created attachment 713465 [details]
File: backtrace

Comment 2 Matt Heck 2013-03-20 21:17:47 UTC
Created attachment 713466 [details]
File: build_ids

Comment 3 Matt Heck 2013-03-20 21:17:49 UTC
Created attachment 713467 [details]
File: cgroup

Comment 4 Matt Heck 2013-03-20 21:17:51 UTC
Created attachment 713468 [details]
File: core_backtrace

Comment 5 Matt Heck 2013-03-20 21:17:53 UTC
Created attachment 713469 [details]
File: dso_list

Comment 6 Matt Heck 2013-03-20 21:17:56 UTC
Created attachment 713470 [details]
File: environ

Comment 7 Matt Heck 2013-03-20 21:17:58 UTC
Created attachment 713471 [details]
File: limits

Comment 8 Matt Heck 2013-03-20 21:18:00 UTC
Created attachment 713472 [details]
File: maps

Comment 9 Matt Heck 2013-03-20 21:18:02 UTC
Created attachment 713473 [details]
File: open_fds

Comment 10 Matt Heck 2013-03-20 21:18:04 UTC
Created attachment 713474 [details]
File: proc_pid_status

Comment 11 Matt Heck 2013-03-20 21:18:06 UTC
Created attachment 713475 [details]
File: smolt_data

Comment 12 Matt Heck 2013-03-20 21:18:08 UTC
Created attachment 713476 [details]
File: var_log_messages

Comment 13 David Tardon 2013-03-25 12:41:24 UTC
Is the crash reproducible?

Comment 14 Matt Heck 2013-03-26 01:26:42 UTC
I've had it happen a few times, but it's rare.  It seems to happen when attempting to "fit" the window under GNOME 3, i.e., dragging it to an edge of the screen.

Problem is, I'm pretty sure I've also found a nasty bug where GNOME Shell can lose what few marbles it has if the wireless network drops unexpectedly while the Shell is in the middle of certain operations.

So, I think the real problem is something like, "if you happen to be in the middle of doing a window fit under GNOME Shell and the network drops, the status icon update causes something to break, and the fit reports bogus geometry".

If that's true, it's a race condition, which means all the usual fun trying to reproduce it.

For now, I'd say sit on it until the next version of GNOME Shell comes out.

MH

Comment 15 Caolan McNamara 2013-04-16 11:27:55 UTC
I think its likely that the trigger is a specific *size* of the calc window in a given document at a given position. So... what size is your screen resolution ? And what sort of fit are you doing, full screen or vertical fit ?


Note You need to log in before you can comment on or make changes to this bug.